{{#eq system.saaSMode 4}}
package {{packageName}}.{{lowerCase app.codeName}}.config;

import com.netflix.zuul.ZuulFilter;
import com.netflix.zuul.context.RequestContext;
import com.netflix.zuul.exception.ZuulException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class {{app.codeName}}HeaderFilter extends ZuulFilter {

	@Override
	public String filterType() {
		return "pre";
	}

	@Override
	public int filterOrder() {
		return 0;
	}

	@Override
	public boolean shouldFilter() {
		return true;
	}

	@Override
	public Object run() throws ZuulException {
	    RequestContext ctx = RequestContext.getCurrentContext();
	    ctx.addZuulRequestHeader("srfsystem", "{{system.codeName}}");
	    return null;
	}
}
{{/eq}}